Package org.codehaus.plexus.util

# Class StringOutputStream

java.lang.Object
java.io.OutputStream
org.codehaus.plexus.util.StringOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

@Deprecated public class StringOutputStream extends OutputStream
Deprecated.
As of version 1.5.2 this class should no longer be used because it does not properly handle character encoding. Instead, use `ByteArrayOutputStream.toString(String)`.
Wraps a String as an OutputStream.

Author:
  Emmanuel Venisse

## Constructor Summary

Constructors
Constructor
Description
`StringOutputStream()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Deprecated.
`void`
`write(byte[] b)`
Deprecated.
`void`
`write(byte[] b, int off, int len)`
Deprecated.
`void`
`write(int b)`
Deprecated.

### Methods inherited from class java.io.OutputStream

`close, flush, nullOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StringOutputStream

public StringOutputStream()
Deprecated.

## Method Details

### write

public void write(byte[] b) throws IOException
Deprecated.

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(byte[] b, int off, int len) throws IOException
Deprecated.

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(int b) throws IOException
Deprecated.

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `Object`